Ready to Start Your Career?

Etherape Kali Linux 2018.1

Author's profile image

January 1, 2016

Hello, I'm trying to get etherape to run but it appears I'm having issues I installed it via apt-get update && apt-get install etherape and when it's installed I typed etherape in the terminal but I get this message and ideas on how to fix this issue? (etherape:3918): libglade-WARNING \*\*: Could not load support for `gnome': libgnome.so: cannot open shared object file: No such file or directory (etherape:3918): libglade-WARNING \*\*: unknown widget class 'GnomeCanvas' (etherape:3918): Gtk-WARNING \*\*: gtk\_scrolled\_window\_add(): cannot add non scrollable widget use gtk\_scrolled\_window\_add\_with\_viewport() instead EtherApe-INFO: sctp protocol not supported EtherApe-INFO: ddp protocol not supported EtherApe-INFO: ddp protocol not supported EtherApe-INFO: ddp protocol not supported EtherApe-INFO: ddp protocol not supported (etherape:3918): GLib-GObject-WARNING \*\*: invalid cast from 'GtkLabel' to 'GnomeCanvas' (etherape:3918): GnomeCanvas-CRITICAL \*\*: gnome\_canvas\_root: assertion 'GNOME\_IS\_CANVAS (canvas)' failed (etherape:3918): GnomeCanvas-CRITICAL \*\*: gnome\_canvas\_item\_new: assertion 'GNOME\_IS\_CANVAS\_GROUP (parent)' failed \*\* ERROR:diagram.c:250:addref\_canvas\_obj: assertion failed: (obj) unexpected EOF in read\_all() critical: read\_all() failed on control socket Aborted I have exactly the same problem. Have you found any solutions? Firstly, ensure you have all of the requirements to run EtherApe. It's outlined [on their main page](https://etherape.sourceforge.net/download.shtml). If I remember right, you're trying to do this on **Kali**, which is a Debian variant. Their site has links to get the appropriate data. (*GTK+*, *Gnome*, and *libglade*, among other things) It's better to use ```sudo apt-cache ``` to manually search for your file. Alternatively, I think dpkg should work: ```dpkg --info ``` or ```dpkg -l ```. Read more on dpkg and apt from [here](https://www.cyberciti.biz/tips/linux-debian-package-management-cheat-sheet.html). The error's telling you that something is missing, related to Gnome. Are you running the [Gnome Desktop Environment](https://www.gnome.org/)? Secondly, if that doesn't work or already have Gnome installed, I'd suggest downloading the source file [from here](https://sourceforge.net/projects/etherape/files/etherape/0.9.15/). Click the .tar.gz the bottom, unpack it, and compile it from source. The rest are primarily re-compiled for .rpm packages. The README and the INSTALL files are both a good read, but generally the format ```./configure && make && make install``` should be a quick and easy solution. I'm not an expert in either Kali nor EtherApe, so this is the best information I can give at this time. Hope this helped, or pointed in the right direction! Are you guys running from the non-root account? (Like did you guys set up another account?) Something else because etherape is rather old is use nmap nmap -v --script=\*broadcast\* -e iface If you use zenmap you will be able to see the different devices on the network as you are listening for any broadcast such as dhcp/ARP using zenmap you will be able to visualize the network.. this is another option. Hello, I’m trying to get etherape to run but it appears I’m having issues I installed it via apt-get update && apt-get install etherape and when it’s installed I typed etherape in the terminal but I get this message and ideas on how to fix this issue EtherApe-INFO: ddp protocol not supported EtherApe-INFO: ddp protocol not supported EtherApe-INFO: ddp protocol not supported EtherApe-INFO: ddp protocol not supported (etherape:2730): GLib-GObject-WARNING \*\*: invalid cast from 'GtkLabel' to 'GnomeCanvas' (etherape:2730): GnomeCanvas-CRITICAL \*\*: gnome\_canvas\_root: assertion 'GNOME\_IS\_CANVAS (canvas)' failed Hi There, I found a solution that works for me, all you need is to install the missing libraries: **apt-get install libglade2-0 libglib2.0-0 libgnomecanvas2-0 libgtk2.0-0 libpango1.0-0 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libcap2 libpopt0 libxml2**After installing reboot the system and it should work. The source found on: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=894313 apt-get install etherape not working E: Unable to locate package etherape apt-get install etherape Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package etherape I updated using apt-get update then also its giving this error for those who are getting unable to locate package :- step 1-open your terminal and type leafpad /etc/apt/sources.list Step 2: Delete old content and paste: deb http://http.kali.org/kali kali-rolling main contrib non-free deb-src http://http.kali.org/kali kali-rolling main contrib non-free deb http://old.kali.org/kali sana main non-free contrib deb-src http://old.kali.org/kali sana main non-free contrib then press ctrl+s and save it. Step 3: open Terminal, command to update linux give the first command- apt-get update after finishing this give the second one:- apt-get upgrade ... generally this will take some time and some time it will ask for Y/n so press Y for everything. after finishing it you can give the command for installation of etherape apt-get install etherape.
Schedule Demo
Build your Cybersecurity or IT Career
Accelerate in your role, earn new certifications, and develop cutting-edge skills using the fastest growing catalog in the industry